/*
 * epspHeaders.h version 2.1 part of the Epspd88 2.1 package
 *
 * Copyright 2010 by Fred Jan Kraan (fjkraan@xs4all.nl)
 *
 * Epspd88 is placed under the GNU General Public License in April 2010.
 *
 *  This file is part of Epspd88 2.1.
 *
 *  Epspd88 is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Epspd88 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Epspd88; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* epspProtocol.c */
int  waitForEOT();
void sendACK();
void sendNAK();
int  waitForACK();
void sendEOT();
void nullFunction();
int  nullFunctionOk();

int  recENQBlock();
int  recHeaderBlock();
int  recTextBlock();
void sendHeaderBlock();
void sendTextBlock();

void enableInteraction();
void disableInteraction();

void epspWrite(int, char *, int);
int  epspRead(int, char *, int);

/* imageCode.c */
unsigned long int getSectorLocation(int track, int record);
unsigned long blockMap(int, int);
int imageRead(int, char *, unsigned long, int);
int imageWrite(int, char *, unsigned long, int);

/* epspCode.c */
int readBlock(char *data);
int writeBlock(char *data);